import React from 'react'
import { tryItNowCTA } from './com'

const cloudServices = {
  cta: tryItNowCTA,
  linkLists: [
    [
      { href: 'https://docs.cloud.mongodb.com/', text: 'Cloud Manager', bold: true },
      { href: 'https://docs.opsmanager.mongodb.com/current', text: 'Ops Manager', bold: true }
    ]
  ]
}

export default {
  logoUrl: 'https://webassets.mongodb.com/_com_assets/global/mongodb-logo-white.png',
  logoLink: 'https://docs.mongodb.com',
  tagline: 'Documentation',
  topSections: [
    {
      text: 'Company',
      href: 'https://mongodb.com'
    }, {
      text: 'Open Source',
      href: 'https://www.mongodb.com/community'
    }, {
      text: 'University',
      href: 'https://university.mongodb.com'
    }
  ],
  sections: [{
    text: 'Server',
    href: 'https://docs.mongodb.com/manual',
    link: true
  }, {
    text: 'Drivers',
    href: 'https://docs.mongodb.com/ecosystem/drivers/',
    link: true
  }, {
    text: 'Cloud Services'
  }, {
    text: 'Compass',
    href: 'https://docs.mongodb.com/compass',
    link: true
  }, {
    text: 'BI Connector',
    href: 'https://docs.mongodb.com/bi-connector',
    link: true
  }],
  subsections: [
    <div />,
    <div />,
    cloudServices,
    <div />,
    <div />
  ]
}
