import React, { Component, PropTypes } from 'react'
import NavCTA from './nav-cta'

export default class Subsection extends Component {
  render () {
    const { newTab, cta, linkLists, midSection, count } = this.props
    const maybeTarget = newTab ? { target: '_blank' } : {}

    return (
      <div className={ 'nav-panel-bottom__section flex flex--space-between flex--wrap' }>
      { cta && <NavCTA first={ count === 0 } { ...cta } /> }
      { ((midSection.link ? [[midSection]] : []).concat(linkLists)).map((links, i) =>
        <ul key={ i }>
        { (links).map((link, j) =>
          <a
            key={ `${i}.${j}` }
            style={ link.style }
            href={ link.href }
            className={ link.className }
            { ...maybeTarget }>
            <li>
              { link.bold || link.link ? <strong>{ link.text }</strong> : link.text }
            </li>
          </a>
        )}
        </ul>
      ) }
      </div>
    )
  }
}

const { array, bool, any, object, number } = PropTypes

Subsection.propTypes = {
  linkLists: array,
  newTab: bool,
  cta: any,
  midSection: object,
  count: number
}

Subsection.defaultProps = {
  linkLists: []
}
